### Method

# FwupdPlugin Plugin get_config_value_boolean

since: 1.4.0

#### Declaration [src]

    gboolean
    fu_plugin_get_config_value_boolean (
      FuPlugin* self,
      const gchar* key
    )

#### Description [src]

Return the boolean value of a key if it’s been configured.

Available since: 1.4.0

#### Parameters

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the value is `true` (case insensitive), `FALSE` otherwise.